Subject: Re: bug#56682: locked narrowing

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Dec 2022 10:57:40 +0200

> Date: Fri, 02 Dec 2022 08:04:06 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Stefan Monnier <[email-masked]>, [email-masked], 
>     [email-masked]
> 
> Consider this other scenario.  A buffer is buried, and modified in the 
> background by some process.  That process adds a long line in that buffer, 
> followed by enough non-long lines, with point after these non-long lines. 
> Now the user asks for that buffer to be displayed again.  With your 
> proposed approach, we would search around point if there are long lines. 
> There aren't, so we do not activate long line optimizations.  Now the user 
> scrolls the buffer.  The buffer has not changed in any way, so the 
> detection is not triggered, and we reach the long line.  Kaboom!

No "Kaboom!": when the user scrolls the buffer, point moves, so we can
detect that and trigger rescanning.